function saveContact(formData){
    let name = formData.name.value;
    let phoneno = formData.phoneno.value;

    let contact ={
      name: name,
      number: phoneno
    };

    let request = new XMLHttpRequest();
    request.open("POST", "/contact/save", true);
    request.onreadystatechange = function(){
        if (this.readyState == 4 ){
          let rjson = JSON.parse(request.responseText);
          if (this.status == 500){
              document.getElementById("monitor").innerHTML = rjson.msg;
          }else if (this.status == 200){
             document.getElementById("monitor").innerHTML = rjson.msg;
          }

        }
    }
    request.setRequestHeader("Content-Type","application/json;charset=UTF-8")
    request.send(JSON.stringify(contact));



}

function searchContact(formData){
    let name = formData.name.value;
    let request = new XMLHttpRequest();
    request.open("GET", "/contact/find/" + name, true);
    request.onreadystatechange = function(){
        if (request.readyState == 4 && request.status == 200){
            contacts = JSON.parse(request.responseText);
            let resultElement = document.getElementById("result");
            resultElement.innerHTML = "";
            contacts.forEach(function(contact){
                if (name == contact.name){
                  resultElement.innerHTML += "<h6>" + contact.name +  " " + contact.number + "</h6>"

                }
            })



        }
    }
    request.send(null);




}
